Bug 1281536 - RFE: delay autokarma pushes on old branches until new branches have appropriate requests
RFE: delay autokarma pushes on old branches until new branches have appropria...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 12:05 EST by Andy Lutomirski
Modified: 2017-06-28 17:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-28 17:26:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github fedora-infra/bodhi/issues/1661 None None None 2017-06-28 17:26 EDT

  None (edit)
Description Andy Lutomirski 2015-11-12 12:05:22 EST
Suppose that foo-1.0-1 is available in F22, F23, and rawhide.  If I build foo-1.0-2.fc22, foo-1.0-2.fc23, and foo-1.0-2.fc24, rawhide will by updated in the next compose.  If I submit updates with autokarma enabled for f22 and f23 and only foo-1.0-2.fc22 gets sufficient karma, then f22 stable will be requested and, once it's composed and mirrored out, the upgrade path to f23 will be broken until either foo-1.0-2.fc23 gets enough karma or the packager manually requests stable.  This could take an unbounded amount of time.

Please consider adding a Bodhi feature that will cause all autokarma pushes on a branch to wait until a new build (i.e. same or newer NVR) exists for rawhide and all newer branches *and* has been requested for stable in all newer branches.

In an ideal world, composes would be instantaneous or synchronized and we could make sure that there's never a state in which the old branch is composed first, but, in the mean time, simply making autokarma insist on tagging the builds in the correct order would avoid frequent long periods of time in which the upgrade path is broken.
Comment 2 Sergio Monteiro Basto 2016-01-25 12:08:35 EST
Taskotron could help us, for example in [1] we can read : "error: Condition not satisfied: pngquant-2.5.2-5.fc22 <= pngquant-2.5.2-4.fc24", which reminder me that I forgot the build it for rawhide . 

[1]
https://taskotron.fedoraproject.org/artifacts/all/c06ee9d4-acf6-11e5-bcf5-52540053ee00/task_output/FEDORA-2015-4a647a067b.log
Comment 3 Randy Barlow 2017-06-28 17:26:50 EDT
I've refiled this RFE upstream, so let's track it there. Thanks!

Note You need to log in before you can comment on or make changes to this bug.